<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'Attachments' => '\\StructType\\Attachments',
            'AttachmentFileVersion' => '\\StructType\\AttachmentFileVersion',
            'AttachmentFileInfo' => '\\StructType\\AttachmentFileInfo',
            'FileInfo' => '\\StructType\\FileInfo',
            'SignatureType' => '\\StructType\\SignatureType',
            'SignatureValueType' => '\\StructType\\SignatureValueType',
            'SignedInfoType' => '\\StructType\\SignedInfoType',
            'CanonicalizationMethodType' => '\\StructType\\CanonicalizationMethodType',
            'SignatureMethodType' => '\\StructType\\SignatureMethodType',
            'ReferenceType' => '\\StructType\\ReferenceType',
            'TransformsType' => '\\StructType\\TransformsType',
            'TransformType' => '\\StructType\\TransformType',
            'DigestMethodType' => '\\StructType\\DigestMethodType',
            'KeyInfoType' => '\\StructType\\KeyInfoType',
            'KeyValueType' => '\\StructType\\KeyValueType',
            'RetrievalMethodType' => '\\StructType\\RetrievalMethodType',
            'X509DataType' => '\\StructType\\X509DataType',
            'X509IssuerSerialType' => '\\StructType\\X509IssuerSerialType',
            'PGPDataType' => '\\StructType\\PGPDataType',
            'SPKIDataType' => '\\StructType\\SPKIDataType',
            'ObjectType' => '\\StructType\\ObjectType',
            'ManifestType' => '\\StructType\\ManifestType',
            'SignaturePropertiesType' => '\\StructType\\SignaturePropertiesType',
            'SignaturePropertyType' => '\\StructType\\SignaturePropertyType',
            'DSAKeyValueType' => '\\StructType\\DSAKeyValueType',
            'RSAKeyValueType' => '\\StructType\\RSAKeyValueType',
            'DXBox' => '\\StructType\\DXBox',
            'MessageEx' => '\\StructType\\MessageEx',
            'RedAddress' => '\\StructType\\RedAddress',
            'Direction' => '\\StructType\\Direction',
            'DocumentRef' => '\\StructType\\DocumentRef',
            'DXBlock' => '\\StructType\\DXBlock',
            'DXControl' => '\\StructType\\DXControl',
            'Pack' => '\\StructType\\Pack',
            'File' => '\\StructType\\File',
            'Document' => '\\StructType\\Document',
            'DXPack' => '\\StructType\\DXPack',
            'Documents' => '\\StructType\\Documents',
            'Envelopes' => '\\StructType\\Envelopes',
            'DXReceipt' => '\\StructType\\DXReceipt',
            'DocNoteCollection' => '\\StructType\\DocNoteCollection',
            'DocNote' => '\\StructType\\DocNote',
            'AttachmentFileNote' => '\\StructType\\AttachmentFileNote',
            'DocumentContainer' => '\\StructType\\DocumentContainer',
            'Envelope' => '\\StructType\\Envelope',
            'EnvelopeFileInfo' => '\\StructType\\EnvelopeFileInfo',
            'ProtocolFileInfo' => '\\StructType\\ProtocolFileInfo',
            'HttpFileInfo' => '\\StructType\\HttpFileInfo',
            'FileBlockInfo' => '\\StructType\\FileBlockInfo',
            'FileData' => '\\StructType\\FileData',
            'FileDataBlock' => '\\StructType\\FileDataBlock',
            'DXFileRequest' => '\\StructType\\DXFileRequest',
            'DXFileData' => '\\StructType\\DXFileData',
            'DXFileReceipt' => '\\StructType\\DXFileReceipt',
            'DXSysInfoRequest' => '\\StructType\\DXSysInfoRequest',
            'DXSystemInfo' => '\\StructType\\DXSystemInfo',
            'OrganizationEx' => '\\StructType\\OrganizationEx',
            'DepartmentEx' => '\\StructType\\DepartmentEx',
            'DXLookupTableRequest' => '\\StructType\\DXLookupTableRequest',
            'DXLookupTableData' => '\\StructType\\DXLookupTableData',
            'LookupTableData' => '\\StructType\\LookupTableData',
            'DocumentAttrs' => '\\StructType\\DocumentAttrs',
            'DocumentAttr' => '\\StructType\\DocumentAttr',
            'DXEnvBlock' => '\\StructType\\DXEnvBlock',
            'DXPutDocument' => '\\StructType\\DXPutDocument',
            'DXGetDocumentResult' => '\\StructType\\DXGetDocumentResult',
            'DXNotifyDocument' => '\\StructType\\DXNotifyDocument',
            'DXDocumentResult' => '\\StructType\\DXDocumentResult',
            'FioType' => '\\StructType\\FioType',
            'AddressType' => '\\StructType\\AddressType',
            'ContragentDatumType' => '\\StructType\\ContragentDatumType',
            'AttachmentType' => '\\StructType\\AttachmentType',
            'EMailAttachmentType' => '\\StructType\\EMailAttachmentType',
            'ShareType' => '\\StructType\\ShareType',
            'SenderContragentType' => '\\StructType\\SenderContragentType',
            'SenderSPIType' => '\\StructType\\SenderSPIType',
            'DocRefType' => '\\StructType\\DocRefType',
            'EmbeddedDocumentType' => '\\StructType\\EmbeddedDocumentType',
            'PrintFormDocumentType' => '\\StructType\\PrintFormDocumentType',
            'EMailHeaderType' => '\\StructType\\EMailHeaderType',
            'IP' => '\\StructType\\IP',
            'IPExt' => '\\StructType\\IPExt',
            'Data' => '\\StructType\\Data',
            'InformationType' => '\\StructType\\InformationType',
            'IdentificationDataType' => '\\StructType\\IdentificationDataType',
            'AddressDataType' => '\\StructType\\AddressDataType',
            'TelephoneDataType' => '\\StructType\\TelephoneDataType',
            'TransportDataType' => '\\StructType\\TransportDataType',
            'ShipDatumType' => '\\StructType\\ShipDatumType',
            'ShipEngineType' => '\\StructType\\ShipEngineType',
            'HijackingType' => '\\StructType\\HijackingType',
            'MachineDatumType' => '\\StructType\\MachineDatumType',
            'SvedRabDataType' => '\\StructType\\SvedRabDataType',
            'ManagementDataType' => '\\StructType\\ManagementDataType',
            'SvedDoxodDataType' => '\\StructType\\SvedDoxodDataType',
            'DebtorStateDataType' => '\\StructType\\DebtorStateDataType',
            'AccountDatumType' => '\\StructType\\AccountDatumType',
            'AvailabilityAccDataType' => '\\StructType\\AvailabilityAccDataType',
            'AvailabilityAccExtDataType' => '\\StructType\\AvailabilityAccExtDataType',
            'ArrestRecoveryAmountDataType' => '\\StructType\\ArrestRecoveryAmountDataType',
            'AccountEncumbranceDatumType' => '\\StructType\\AccountEncumbranceDatumType',
            'AvailabilityAccDepoDataType' => '\\StructType\\AvailabilityAccDepoDataType',
            'AccountTransactionDatumType' => '\\StructType\\AccountTransactionDatumType',
            'DepositBoxDatumType' => '\\StructType\\DepositBoxDatumType',
            'RealtyRegistryExtractType' => '\\StructType\\RealtyRegistryExtractType',
            'SvedNedvDataType' => '\\StructType\\SvedNedvDataType',
            'PropertyObligationDatumType' => '\\StructType\\PropertyObligationDatumType',
            'SvedNedvObjectType' => '\\StructType\\SvedNedvObjectType',
            'SvedNedvAreaType' => '\\StructType\\SvedNedvAreaType',
            'SvedNedvRightType' => '\\StructType\\SvedNedvRightType',
            'SvedNedvEncumbranceType' => '\\StructType\\SvedNedvEncumbranceType',
            'SvedNedvShareHoldingType' => '\\StructType\\SvedNedvShareHoldingType',
            'ObjectDataType' => '\\StructType\\ObjectDataType',
            'KKTDataType' => '\\StructType\\KKTDataType',
            'AccountingDataType' => '\\StructType\\AccountingDataType',
            'AccountType' => '\\StructType\\AccountType',
            'TicketDatumType' => '\\StructType\\TicketDatumType',
            'PersonDatumType' => '\\StructType\\PersonDatumType',
            'OrganizationDatumType' => '\\StructType\\OrganizationDatumType',
            'RegOrganDatumType' => '\\StructType\\RegOrganDatumType',
            'PublicEnityType' => '\\StructType\\PublicEnityType',
            'CompanyDatumType' => '\\StructType\\CompanyDatumType',
            'CompanyExtDatumType' => '\\StructType\\CompanyExtDatumType',
            'OkvedDetailType' => '\\StructType\\OkvedDetailType',
            'FounderCompanyDatumType' => '\\StructType\\FounderCompanyDatumType',
            'ForgnFndrCompanyDatumType' => '\\StructType\\ForgnFndrCompanyDatumType',
            'FounderPersonDatumType' => '\\StructType\\FounderPersonDatumType',
            'CompanyManagementDatumType' => '\\StructType\\CompanyManagementDatumType',
            'LicenseDatumType' => '\\StructType\\LicenseDatumType',
            'LicenseActivityType' => '\\StructType\\LicenseActivityType',
            'SubdivisionDatumType' => '\\StructType\\SubdivisionDatumType',
            'EgrulEgripDatumType' => '\\StructType\\EgrulEgripDatumType',
            'RegistrationDatumType' => '\\StructType\\RegistrationDatumType',
            'CompanyAddressDatumType' => '\\StructType\\CompanyAddressDatumType',
            'AccountExtDatumType' => '\\StructType\\AccountExtDatumType',
            'DocumentDatumType' => '\\StructType\\DocumentDatumType',
            'SoleEntrepreneurOldRegDatumType' => '\\StructType\\SoleEntrepreneurOldRegDatumType',
            'SoleEntrepreneurDatumType' => '\\StructType\\SoleEntrepreneurDatumType',
            'PaymentDatumType' => '\\StructType\\PaymentDatumType',
            'CountDatumType' => '\\StructType\\CountDatumType',
            'UnaccountedForDatumType' => '\\StructType\\UnaccountedForDatumType',
            'DeathDatumType' => '\\StructType\\DeathDatumType',
            'FishDatumType' => '\\StructType\\FishDatumType',
            'FishQuotaContractDatumType' => '\\StructType\\FishQuotaContractDatumType',
            'FishQuotaCurYearDatumType' => '\\StructType\\FishQuotaCurYearDatumType',
            'FishNonquotaContractDatumType' => '\\StructType\\FishNonquotaContractDatumType',
            'TransactionDatumType' => '\\StructType\\TransactionDatumType',
            'UnstructuredDatumType' => '\\StructType\\UnstructuredDatumType',
            'TransactionSideType' => '\\StructType\\TransactionSideType',
            'SalaryWithheldDatumType' => '\\StructType\\SalaryWithheldDatumType',
            'WithheldDetailType' => '\\StructType\\WithheldDetailType',
            'CashLetterDatumType' => '\\StructType\\CashLetterDatumType',
            'ValidationDatumType' => '\\StructType\\ValidationDatumType',
            'ValidationStepDetailType' => '\\StructType\\ValidationStepDetailType',
            'UnemployedPersonRegistrationDatumType' => '\\StructType\\UnemployedPersonRegistrationDatumType',
            'UnemployedPersonCaseDatumType' => '\\StructType\\UnemployedPersonCaseDatumType',
            'SeniorityPeriodDatumType' => '\\StructType\\SeniorityPeriodDatumType',
            'GoodsDatumType' => '\\StructType\\GoodsDatumType',
            'WeaponDatumType' => '\\StructType\\WeaponDatumType',
            'SentencedPersonImprisonmentType' => '\\StructType\\SentencedPersonImprisonmentType',
            'SentencedPersonNoImprisonmentType' => '\\StructType\\SentencedPersonNoImprisonmentType',
            'BKIDatumType' => '\\StructType\\BKIDatumType',
            'LookupTableQuery' => '\\StructType\\LookupTableQuery',
            'OspProperty' => '\\StructType\\OspProperty',
            'OspDetail' => '\\StructType\\OspDetail',
            'CurrencyProperty' => '\\StructType\\CurrencyProperty',
            'IdDocTypeProperty' => '\\StructType\\IdDocTypeProperty',
            'PievFormatVersion' => '\\StructType\\PievFormatVersion',
            'ReferenceDataType' => '\\StructType\\ReferenceDataType',
            'DataBlock' => '\\StructType\\DataBlock',
            'Query' => '\\StructType\\Query',
            'Answer' => '\\StructType\\Answer',
            'AccountQuery' => '\\StructType\\AccountQuery',
            'AccountAnswer' => '\\StructType\\AccountAnswer',
            'SalaryWithheldQuery' => '\\StructType\\SalaryWithheldQuery',
            'SalaryWithheldAnswer' => '\\StructType\\SalaryWithheldAnswer',
            'Restrictn' => '\\StructType\\Restrictn',
            'Report' => '\\StructType\\Report',
            'DebtorNewAccountNotice' => '\\StructType\\DebtorNewAccountNotice',
            'ExtDoc' => '\\StructType\\ExtDoc',
            'PaymentProperties' => '\\StructType\\PaymentProperties',
            'SequestrationType' => '\\StructType\\SequestrationType',
            'ReportPropertyType' => '\\StructType\\ReportPropertyType',
            'ProcDoc' => '\\StructType\\ProcDoc',
            'ExtDebtFix' => '\\StructType\\ExtDebtFix',
            'RecallDoc' => '\\StructType\\RecallDoc',
            'DebtRequest' => '\\StructType\\DebtRequest',
            'Debt' => '\\StructType\\Debt',
            'ExtPayments' => '\\StructType\\ExtPayments',
            'PayProperties' => '\\StructType\\PayProperties',
            'ExtPayment' => '\\StructType\\ExtPayment',
            'OspRequest' => '\\StructType\\OspRequest',
            'OspProperties' => '\\StructType\\OspProperties',
            'BankruptDoc' => '\\StructType\\BankruptDoc',
            'DebtorPropertyChange' => '\\StructType\\DebtorPropertyChange',
            'ArrestFourthStagePropertyType' => '\\StructType\\ArrestFourthStagePropertyType',
            'DebtorIpNotify' => '\\StructType\\DebtorIpNotify',
            'NoticeReadinessSaleSeizedProperty' => '\\StructType\\NoticeReadinessSaleSeizedProperty',
            'NoticeSaleSeizedProperty' => '\\StructType\\NoticeSaleSeizedProperty',
            'CertificateDeliveryAcceptance' => '\\StructType\\CertificateDeliveryAcceptance',
            'ReportExecutionSale' => '\\StructType\\ReportExecutionSale',
            'IPSideQuery' => '\\StructType\\IPSideQuery',
            'IPSideAnswer' => '\\StructType\\IPSideAnswer',
            'IPDocInfoType' => '\\StructType\\IPDocInfoType',
            'IPAccountingType' => '\\StructType\\IPAccountingType',
            'RequestByDatum' => '\\StructType\\RequestByDatum',
            'ExitRestrictionActRequest' => '\\StructType\\ExitRestrictionActRequest',
            'ExitRestrictionActInfo' => '\\StructType\\ExitRestrictionActInfo',
            'RestrictionActRequest' => '\\StructType\\RestrictionActRequest',
            'RestrictionActInfo' => '\\StructType\\RestrictionActInfo',
            'ActInfoType' => '\\StructType\\ActInfoType',
            'IPDataRequest' => '\\StructType\\IPDataRequest',
            'InvestigationDataInfo' => '\\StructType\\InvestigationDataInfo',
            'IPDataInfo' => '\\StructType\\IPDataInfo',
            'RecoveredAmountRequest' => '\\StructType\\RecoveredAmountRequest',
            'RecoveredAmountAnswer' => '\\StructType\\RecoveredAmountAnswer',
            'RecoveringIpInfoType' => '\\StructType\\RecoveringIpInfoType',
            'RecoveredAmountType' => '\\StructType\\RecoveredAmountType',
            'InvestigationRegistryQuery' => '\\StructType\\InvestigationRegistryQuery',
            'InvestigationRegistryInfo' => '\\StructType\\InvestigationRegistryInfo',
            'InvestigationRegistryDetail' => '\\StructType\\InvestigationRegistryDetail',
            'ArrestRegistryQuery' => '\\StructType\\ArrestRegistryQuery',
            'ArrestRegistryInfo' => '\\StructType\\ArrestRegistryInfo',
            'ArrestRegistryDetail' => '\\StructType\\ArrestRegistryDetail',
            'CrimeRegistryQuery' => '\\StructType\\CrimeRegistryQuery',
            'CrimeRegistryInfo' => '\\StructType\\CrimeRegistryInfo',
            'CrimeRegistryDetail' => '\\StructType\\CrimeRegistryDetail',
            'CaRequest' => '\\StructType\\CaRequest',
            'CaAnswer' => '\\StructType\\CaAnswer',
            'InvestigationRegistry' => '\\StructType\\InvestigationRegistry',
            'InvestigationData' => '\\StructType\\InvestigationData',
            'PenaltyChargesRegistry' => '\\StructType\\PenaltyChargesRegistry',
            'PenaltyChargesData' => '\\StructType\\PenaltyChargesData',
            'RestrictionRegistry' => '\\StructType\\RestrictionRegistry',
            'UINRegistry' => '\\StructType\\UINRegistry',
            'OspInputRegistry' => '\\StructType\\OspInputRegistry',
            'ReqAppResult' => '\\StructType\\ReqAppResult',
            'AnswerAppResult' => '\\StructType\\AnswerAppResult',
            'CitizenQuestionsRequest' => '\\StructType\\CitizenQuestionsRequest',
            'CitizenQuestionsResult' => '\\StructType\\CitizenQuestionsResult',
            'CitizenQuestionsResData' => '\\StructType\\CitizenQuestionsResData',
            'BKIRequest' => '\\StructType\\BKIRequest',
            'BKIResponse' => '\\StructType\\BKIResponse',
            'DocumentNote' => '\\StructType\\DocumentNote',
            'PaymentNotification' => '\\StructType\\PaymentNotification',
            'PaymentNotificationInfo' => '\\StructType\\PaymentNotificationInfo',
            'DebtorIPListRequestType' => '\\StructType\\DebtorIPListRequestType',
            'DebtorIPListResponseType' => '\\StructType\\DebtorIPListResponseType',
            'ClaimerIPListRequestType' => '\\StructType\\ClaimerIPListRequestType',
            'ClaimerIPListResponseType' => '\\StructType\\ClaimerIPListResponseType',
            'BriefIPInformationType' => '\\StructType\\BriefIPInformationType',
            'IPSideRequestType' => '\\StructType\\IPSideRequestType',
            'IPSideRequestExistenceType' => '\\StructType\\IPSideRequestExistenceType',
            'IPSideRequestCourseIDType' => '\\StructType\\IPSideRequestCourseIDType',
            'IPSideRequestCourseIPType' => '\\StructType\\IPSideRequestCourseIPType',
            'IPReqAppResponseType' => '\\StructType\\IPReqAppResponseType',
            'IPReqAppResultRequestType' => '\\StructType\\IPReqAppResultRequestType',
            'IPReqAppResultReponseType' => '\\StructType\\IPReqAppResultReponseType',
            'EApplicationType' => '\\StructType\\EApplicationType',
            'EApplicationResultType' => '\\StructType\\EApplicationResultType',
            'IPBriefInfoRequestType' => '\\StructType\\IPBriefInfoRequestType',
            'IPBriefInfoResponseType' => '\\StructType\\IPBriefInfoResponseType',
            'MailStateTrackingRequest' => '\\StructType\\MailStateTrackingRequest',
            'BarcodeList' => '\\StructType\\BarcodeList',
            'MailState' => '\\StructType\\MailState',
            'InformationDocument' => '\\StructType\\InformationDocument',
            'DocumentStatusSMEV3' => '\\StructType\\DocumentStatusSMEV3',
            'IncomingForcedExecDocument' => '\\StructType\\IncomingForcedExecDocument',
            'IncomingForcedExecDocumentBrief' => '\\StructType\\IncomingForcedExecDocumentBrief',
            'OutgoingForcedExecDocument' => '\\StructType\\OutgoingForcedExecDocument',
            'OutgoingArbitraryDocument' => '\\StructType\\OutgoingArbitraryDocument',
            'ForcedExecDocumentRequest' => '\\StructType\\ForcedExecDocumentRequest',
            'IncomingEMailMessage' => '\\StructType\\IncomingEMailMessage',
            'OutgoingEMailMessage' => '\\StructType\\OutgoingEMailMessage',
            'RegistryFileRequest' => '\\StructType\\RegistryFileRequest',
            'RegistryFileResponse' => '\\StructType\\RegistryFileResponse',
            'EQSyncRegistryRequest' => '\\StructType\\EQSyncRegistryRequest',
            'EQSyncRegistryResponse' => '\\StructType\\EQSyncRegistryResponse',
            'EQAppointmentDocument' => '\\StructType\\EQAppointmentDocument',
            'EQApplicant' => '\\StructType\\EQApplicant',
            'EQAppointmentDocResult' => '\\StructType\\EQAppointmentDocResult',
            'EQNotifyAppointment' => '\\StructType\\EQNotifyAppointment',
            'EQNotifyAppResult' => '\\StructType\\EQNotifyAppResult',
            'ReferenceInfoRequest' => '\\StructType\\ReferenceInfoRequest',
            'ReferenceInfo' => '\\StructType\\ReferenceInfo',
            'MessageCollection' => '\\StructType\\MessageCollection',
            'Message' => '\\StructType\\Message',
            'MessageResultCollection' => '\\StructType\\MessageResultCollection',
            'MessageResult' => '\\StructType\\MessageResult',
            'Request' => '\\StructType\\Request',
            'Response' => '\\StructType\\Response',
            'SyncRq' => '\\StructType\\SyncRq',
            'SyncRs' => '\\StructType\\SyncRs',
            'InquiryMessage' => '\\StructType\\InquiryMessage',
            'AnswerMessage' => '\\StructType\\AnswerMessage',
            'GetMessagesRq' => '\\StructType\\GetMessagesRq',
            'GetMessagesRs' => '\\StructType\\GetMessagesRs',
            'NotifyMessagesRq' => '\\StructType\\NotifyMessagesRq',
            'NotifyMessagesRs' => '\\StructType\\NotifyMessagesRs',
            'PutMessagesRq' => '\\StructType\\PutMessagesRq',
            'PutMessagesRs' => '\\StructType\\PutMessagesRs',
            'TouchRq' => '\\StructType\\TouchRq',
            'TouchRs' => '\\StructType\\TouchRs',
            'GetLookupTablesRq' => '\\StructType\\GetLookupTablesRq',
            'GetLookupTablesRs' => '\\StructType\\GetLookupTablesRs',
            'AutoProcessRq' => '\\StructType\\AutoProcessRq',
            'AutoProcessRs' => '\\StructType\\AutoProcessRs',
            'Error' => '\\StructType\\Error',
            'DxMessageType' => '\\StructType\\DxMessageType',
            'DxNotifyDocumentType' => '\\StructType\\DxNotifyDocumentType',
        );
    }
}
