<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Attachments StructType
 * Meta informations extracted from the WSDL
 * - documentation: Данные о вложенных файлах
 * @subpackage Structs
 */
class Attachments extends AbstractStructBase
{
    /**
     * The AttachmentFileInfo
     * Meta informations extracted from the WSDL
     * - documentation: Данные о вложении
     * - maxOccurs: unbounded
     * @var \StructType\AttachmentFileInfo[]
     */
    public $AttachmentFileInfo;
    /**
     * Constructor method for Attachments
     * @uses Attachments::setAttachmentFileInfo()
     * @param \StructType\AttachmentFileInfo[] $attachmentFileInfo
     */
    public function __construct(array $attachmentFileInfo = array())
    {
        $this
            ->setAttachmentFileInfo($attachmentFileInfo);
    }
    /**
     * Get AttachmentFileInfo value
     * @return \StructType\AttachmentFileInfo[]|null
     */
    public function getAttachmentFileInfo()
    {
        return $this->AttachmentFileInfo;
    }
    /**
     * Set AttachmentFileInfo value
     * @throws \InvalidArgumentException
     * @param \StructType\AttachmentFileInfo[] $attachmentFileInfo
     * @return \StructType\Attachments
     */
    public function setAttachmentFileInfo(array $attachmentFileInfo = array())
    {
        $this->AttachmentFileInfo = $attachmentFileInfo;
        return $this;
    }
    /**
     * Add item to AttachmentFileInfo value
     * @throws \InvalidArgumentException
     * @param \StructType\AttachmentFileInfo $item
     * @return \StructType\Attachments
     */
    public function addToAttachmentFileInfo(\StructType\AttachmentFileInfo $item)
    {
        $this->AttachmentFileInfo[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Attachments
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
