<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DXFileRequest StructType
 * Meta informations extracted from the WSDL
 * - documentation: Запрос файла (фрагмента файла)
 * - type: tns:DXFileRequest
 * @subpackage Structs
 */
class DXFileRequest extends DXBlock
{
    /**
     * The FileBlockInfo
     * Meta informations extracted from the WSDL
     * - documentation: Данные о фрагменте файла
     * @var \StructType\FileBlockInfo
     */
    public $FileBlockInfo;
    /**
     * Constructor method for DXFileRequest
     * @uses DXFileRequest::setFileBlockInfo()
     * @param \StructType\FileBlockInfo $fileBlockInfo
     */
    public function __construct(\StructType\FileBlockInfo $fileBlockInfo = null)
    {
        $this
            ->setFileBlockInfo($fileBlockInfo);
    }
    /**
     * Get FileBlockInfo value
     * @return \StructType\FileBlockInfo|null
     */
    public function getFileBlockInfo()
    {
        return $this->FileBlockInfo;
    }
    /**
     * Set FileBlockInfo value
     * @param \StructType\FileBlockInfo $fileBlockInfo
     * @return \StructType\DXFileRequest
     */
    public function setFileBlockInfo(\StructType\FileBlockInfo $fileBlockInfo = null)
    {
        $this->FileBlockInfo = $fileBlockInfo;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\DXFileRequest
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
