<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DebtorStateDataType StructType
 * Meta informations extracted from the WSDL
 * - documentation: Тип сведений DebtorStateDataType "Статус должника"
 * @subpackage Structs
 */
class DebtorStateDataType extends InformationType
{
    /**
     * The State
     * Meta informations extracted from the WSDL
     * - documentation: Статус | Сведения о статусе должника | Строка длиной от 1 до 300 символов
     * - maxLength: 300
     * - minLength: 1
     * @var string
     */
    public $State;
    /**
     * Constructor method for DebtorStateDataType
     * @uses DebtorStateDataType::setState()
     * @param string $state
     */
    public function __construct($state = null)
    {
        $this
            ->setState($state);
    }
    /**
     * Get State value
     * @return string|null
     */
    public function getState()
    {
        return $this->State;
    }
    /**
     * Set State value
     * @param string $state
     * @return \StructType\DebtorStateDataType
     */
    public function setState($state = null)
    {
        $this->State = $state;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\DebtorStateDataType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
