<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DocumentAttrs StructType
 * Meta informations extracted from the WSDL
 * - documentation: Дополнительные атрибуты документа
 * - type: tns:DocumentAttrs
 * @subpackage Structs
 */
class DocumentAttrs extends AbstractStructBase
{
    /**
     * The DocumentAttr
     * Meta informations extracted from the WSDL
     * - documentation: Атрибут документа
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\DocumentAttr[]
     */
    public $DocumentAttr;
    /**
     * Constructor method for DocumentAttrs
     * @uses DocumentAttrs::setDocumentAttr()
     * @param \StructType\DocumentAttr[] $documentAttr
     */
    public function __construct(array $documentAttr = array())
    {
        $this
            ->setDocumentAttr($documentAttr);
    }
    /**
     * Get DocumentAttr value
     * @return \StructType\DocumentAttr[]|null
     */
    public function getDocumentAttr()
    {
        return $this->DocumentAttr;
    }
    /**
     * Set DocumentAttr value
     * @throws \InvalidArgumentException
     * @param \StructType\DocumentAttr[] $documentAttr
     * @return \StructType\DocumentAttrs
     */
    public function setDocumentAttr(array $documentAttr = array())
    {
        $this->DocumentAttr = $documentAttr;
        return $this;
    }
    /**
     * Add item to DocumentAttr value
     * @throws \InvalidArgumentException
     * @param \StructType\DocumentAttr $item
     * @return \StructType\DocumentAttrs
     */
    public function addToDocumentAttr(\StructType\DocumentAttr $item)
    {
        $this->DocumentAttr[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\DocumentAttrs
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
