<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for HttpFileInfo StructType
 * Meta informations extracted from the WSDL
 * - documentation: Ссылка на файл при передаче по протоколу HTTP
 * @subpackage Structs
 */
class HttpFileInfo extends AbstractStructBase
{
    /**
     * The URL
     * Meta informations extracted from the WSDL
     * - documentation: Ссылка
     * @var string
     */
    public $URL;
    /**
     * Constructor method for HttpFileInfo
     * @uses HttpFileInfo::setURL()
     * @param string $uRL
     */
    public function __construct($uRL = null)
    {
        $this
            ->setURL($uRL);
    }
    /**
     * Get URL value
     * @return string|null
     */
    public function getURL()
    {
        return $this->URL;
    }
    /**
     * Set URL value
     * @param string $uRL
     * @return \StructType\HttpFileInfo
     */
    public function setURL($uRL = null)
    {
        $this->URL = $uRL;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\HttpFileInfo
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
