<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for NotifyMessagesRq StructType
 * Meta informations extracted from the WSDL
 * - documentation: Уведомление о результате приема пакета документов
 * @subpackage Structs
 */
class NotifyMessagesRq extends Request
{
    /**
     * The messageResults
     * Meta informations extracted from the WSDL
     * - documentation: Результат приема сообщений
     * @var \StructType\MessageResultCollection
     */
    public $messageResults;
    /**
     * The messages
     * Meta informations extracted from the WSDL
     * - documentation: Сообщения в адрес ФССП России | Не используется в текущей версии сервиса
     * - minOccurs: 0
     * @var \StructType\MessageCollection
     */
    public $messages;
    /**
     * Constructor method for NotifyMessagesRq
     * @uses NotifyMessagesRq::setMessageResults()
     * @uses NotifyMessagesRq::setMessages()
     * @param \StructType\MessageResultCollection $messageResults
     * @param \StructType\MessageCollection $messages
     */
    public function __construct(\StructType\MessageResultCollection $messageResults = null, \StructType\MessageCollection $messages = null)
    {
        $this
            ->setMessageResults($messageResults)
            ->setMessages($messages);
    }
    /**
     * Get messageResults value
     * @return \StructType\MessageResultCollection|null
     */
    public function getMessageResults()
    {
        return $this->messageResults;
    }
    /**
     * Set messageResults value
     * @param \StructType\MessageResultCollection $messageResults
     * @return \StructType\NotifyMessagesRq
     */
    public function setMessageResults(\StructType\MessageResultCollection $messageResults = null)
    {
        $this->messageResults = $messageResults;
        return $this;
    }
    /**
     * Get messages value
     * @return \StructType\MessageCollection|null
     */
    public function getMessages()
    {
        return $this->messages;
    }
    /**
     * Set messages value
     * @param \StructType\MessageCollection $messages
     * @return \StructType\NotifyMessagesRq
     */
    public function setMessages(\StructType\MessageCollection $messages = null)
    {
        $this->messages = $messages;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\NotifyMessagesRq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
