<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SvedRabDataType StructType
 * Meta informations extracted from the WSDL
 * - documentation: Тип сведений SvedRabDataType "Место получения дохода"
 * @subpackage Structs
 */
class SvedRabDataType extends InformationType
{
    /**
     * The NaimOrg
     * Meta informations extracted from the WSDL
     * - documentation: Наименование организации/ФИО индивидуального предпринимателя | Полное наименование организации/индивидуального
     * предпринимателя | Строка длиной от 1 до 1000 символов
     * - maxLength: 1000
     * - minLength: 1
     * @var string
     */
    public $NaimOrg;
    /**
     * The AdresJ
     * Meta informations extracted from the WSDL
     * - documentation: Юридический адрес | Юридический адрес организации/индивидуального предпринимателя | Строка длиной от 1 до 300 символов
     * - minOccurs: 0
     * - maxLength: 300
     * - minLength: 1
     * @var string
     */
    public $AdresJ;
    /**
     * The AdresF
     * Meta informations extracted from the WSDL
     * - documentation: Фактический адрес | Фактический адрес организации/индивидуального предпринимателя | Строка длиной от 1 до 300 символов
     * - minOccurs: 0
     * - maxLength: 300
     * - minLength: 1
     * @var string
     */
    public $AdresF;
    /**
     * Constructor method for SvedRabDataType
     * @uses SvedRabDataType::setNaimOrg()
     * @uses SvedRabDataType::setAdresJ()
     * @uses SvedRabDataType::setAdresF()
     * @param string $naimOrg
     * @param string $adresJ
     * @param string $adresF
     */
    public function __construct($naimOrg = null, $adresJ = null, $adresF = null)
    {
        $this
            ->setNaimOrg($naimOrg)
            ->setAdresJ($adresJ)
            ->setAdresF($adresF);
    }
    /**
     * Get NaimOrg value
     * @return string|null
     */
    public function getNaimOrg()
    {
        return $this->NaimOrg;
    }
    /**
     * Set NaimOrg value
     * @param string $naimOrg
     * @return \StructType\SvedRabDataType
     */
    public function setNaimOrg($naimOrg = null)
    {
        $this->NaimOrg = $naimOrg;
        return $this;
    }
    /**
     * Get AdresJ value
     * @return string|null
     */
    public function getAdresJ()
    {
        return $this->AdresJ;
    }
    /**
     * Set AdresJ value
     * @param string $adresJ
     * @return \StructType\SvedRabDataType
     */
    public function setAdresJ($adresJ = null)
    {
        $this->AdresJ = $adresJ;
        return $this;
    }
    /**
     * Get AdresF value
     * @return string|null
     */
    public function getAdresF()
    {
        return $this->AdresF;
    }
    /**
     * Set AdresF value
     * @param string $adresF
     * @return \StructType\SvedRabDataType
     */
    public function setAdresF($adresF = null)
    {
        $this->AdresF = $adresF;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\SvedRabDataType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
