<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TouchRq StructType
 * Meta informations extracted from the WSDL
 * - documentation: Диагностический запрос
 * @subpackage Structs
 */
class TouchRq extends AbstractStructBase
{
    /**
     * The redRay
     * Meta informations extracted from the WSDL
     * - documentation: Параметр (произвольные данные), не возвращаемый отправителю
     * - minOccurs: 0
     * @var string
     */
    public $redRay;
    /**
     * The greenRay
     * Meta informations extracted from the WSDL
     * - documentation: Параметр (произвольные данные), возвращаемый отправителю
     * - minOccurs: 0
     * @var string
     */
    public $greenRay;
    /**
     * Constructor method for TouchRq
     * @uses TouchRq::setRedRay()
     * @uses TouchRq::setGreenRay()
     * @param string $redRay
     * @param string $greenRay
     */
    public function __construct($redRay = null, $greenRay = null)
    {
        $this
            ->setRedRay($redRay)
            ->setGreenRay($greenRay);
    }
    /**
     * Get redRay value
     * @return string|null
     */
    public function getRedRay()
    {
        return $this->redRay;
    }
    /**
     * Set redRay value
     * @param string $redRay
     * @return \StructType\TouchRq
     */
    public function setRedRay($redRay = null)
    {
        $this->redRay = $redRay;
        return $this;
    }
    /**
     * Get greenRay value
     * @return string|null
     */
    public function getGreenRay()
    {
        return $this->greenRay;
    }
    /**
     * Set greenRay value
     * @param string $greenRay
     * @return \StructType\TouchRq
     */
    public function setGreenRay($greenRay = null)
    {
        $this->greenRay = $greenRay;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\TouchRq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
